ReleaseNote
The release notes of the Zympler platform, as shown in the portal, with their attachments.
List all release notes
GET /release-notes
curl
curl -X GET "https://api.zympler.com/v1beta/release-notes" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let response = reqwest::Client::new()
.get("https://api.zympler.com/v1beta/release-notes")
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
response = requests.get(
"https://api.zympler.com/v1beta/release-notes",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
page_cursor | query | string | PageCursor | |
page_size | query | integer (uint64) | Page size |
Responses
Fields
Type: object
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Download a file for a release note
GET /release-notes/{release_note_id}/files/{release_note_file_id}
curl
RELEASE_NOTE_ID="<release_note_id>"
RELEASE_NOTE_FILE_ID="<release_note_file_id>"
curl -X GET "https://api.zympler.com/v1beta/release-notes/$RELEASE_NOTE_ID/files/$RELEASE_NOTE_FILE_ID" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let release_note_id = "<release_note_id>";
let release_note_file_id = "<release_note_file_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/release-notes/{release_note_id}/files/{release_note_file_id}"))
.bearer_auth(&token)
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
release_note_id = "<release_note_id>"
release_note_file_id = "<release_note_file_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/release-notes/{release_note_id}/files/{release_note_file_id}",
headers={"Authorization": f"Bearer {token}"},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
release_note_id | path | string (uuid) | yes | ID of release note |
release_note_file_id | path | string (uuid) | yes | ID of release note file |
Responses
Fields
Type: string (binary)
Status codes
| Status | Description |
|---|---|
200 | Ok |
400 | Bad Request |
401 | Unauthorized |